/* Reflow Oven Controller
*
* Copyright (C) 2021 Mario Hüttel <mario.huettel@gmx.net>
*
* This file is part of the Reflow Oven Controller Project.
*
* The reflow oven controller is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2 as
* published by the Free Software Foundation.
*
* The Reflow Oven Control Firmware is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with the reflow oven controller project.
* If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __SETTINGS_SPI_EEPROM_H__
#define __SETTINGS_SPI_EEPROM_H__

#include <stdint.h>
#include <stdbool.h>


int spi_eeprom_init();

void spi_eeprom_deinit();

int spi_eeprom_read(uint32_t addr, uint8_t *rx_buff, uint32_t count);

bool spi_eeprom_write_in_progress(void);

int spi_eeprom_write(uint32_t addr, const uint8_t *data, uint32_t count);

uint8_t spi_eeprom_read_status_reg(void);

bool spi_eeprom_check_connected(void);

#endif /* __SETTINGS_SPI_EEPROM_H__ */
